from flask import Flask
from flask_restful import Api

from .api import TrainApi, PredictApi, LoadApi, UnloadApi, MonitorApi, StatusApi

app = Flask(__name__)
api = Api(app)
api.add_resource(TrainApi, TrainApi.api_url)
api.add_resource(PredictApi, PredictApi.api_url)
api.add_resource(LoadApi, LoadApi.api_url)
api.add_resource(UnloadApi, UnloadApi.api_url)
api.add_resource(MonitorApi, MonitorApi.api_url)
api.add_resource(StatusApi, StatusApi.api_url)


def run_app(port, debug=True):
    global app
    app.run(port=port, debug=debug)
